//新开发账户管理
import React from 'react';
import Account from '@/account/set/newAccount/account';
import Unit from '@/account/set/newAccount/unit';
import Personal from '@/account/set/newAccount/personal';
import Contacts from '@/account/set/newAccount/contacts';
//会员中心
import Normal from '@/account/index/normal';
import Collection from '@/account/index/collection';
import TechList from '@/account/index/techList';
import ServiceList from '@/account/index/serviceList';
import ConsultList from '@/account/index/consultList';

import {hashHistory,Route,Router,IndexRedirect} from 'react-router';
import {Layout} from 'antd';
import '@/account/content.less'


const { Content } = Layout;

export default class ContentRouter extends React.Component {
  render() {
    return (
      <Content className="acc-content" id="content">
        <Router history={hashHistory}>
            <Route path="/normal" component={Normal} />
            <Route path="/collection" component={Collection} />
            <Route path="/techList" component={TechList} />
            <Route path="/serviceList" component={ServiceList} />
            <Route path="/consultList" component={ConsultList} />
            <Route path="/account" component={Account} />
            <Route path="/unit" component={Unit} />
            <Route path="/personal" component={Personal} />
            <Route path="/contacts" component={Contacts} />
        </Router>
      </Content>
    )
  }
}