import React from 'react';
import '../content.less';
import GroupLeftTab from './leftTabgroup.jsx';

import Base from './base.jsx';
import Group from './group.jsx';
import Person from './person.jsx';
import Company from './company.jsx';
import Edu from './edu.jsx';
import Tech from './tech.jsx';
import Pfs from './pfs.jsx';
import Ablt from './ablt.jsx';
import HrSituation from './hrSituation.jsx';
//新开发账户管理
import Account from './newAccount/account';
import Unit from './newAccount/unit';
import Personal from './newAccount/personal';
import Contacts from './newAccount/contacts';
import {hashHistory,Route,Router,IndexRedirect} from 'react-router';
import {Layout} from 'antd';

const { Content } = Layout

export default class ContentRouter extends React.Component {
  render() {
    return (
      <Content className="acc-content" id="content">
        <Router history={hashHistory}>
            <Route path="/account" component={Account} />
            <Route path="/unit" component={Unit} />
            <Route path="/personal" component={Personal} />
            <Route path="/contacts" component={Contacts} />
        </Router>
      </Content>
    )
  }
}
